Arch Axes

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Axis and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська
Arrow-left.svg Page précédente: Arch CompAxis.png Axes
Page suivante: Système d'axes Arch Axis System.svg Arrow-right.svg

Arch Axis.svg Arch Axes

Emplacement du menu
Arch → Outils de l'axe → Axe
Ateliers
Arch
Raccourci par défaut
A X
Introduit dans la version
-
Voir aussi
Arch Système d'axes, Arch Grille

Description

L'outil Arch Axis.svg Axes vous permet de placer une série d'axes dans le document en cours. La distance et l'angle entre les axes sont personnalisables, ainsi que le style de numérotation. Les axes servent principalement de références pour accrocher des objets mais peuvent également être utilisés avec Arch Axis System.svg Arch Système d'axes. Ils peuvent également être référencés par d'autres objets Arch pour créer des réseaux paramétriques, par exemple des poutres ou des colonnes. Arch Grid.svg Arch Grilles peut également être utilisé à la place des axes.

Arch Axis example.jpg

Deux objets axes placés perpendiculairement l'un par rapport à l'autre pour créer une grille

Utilisation

  1. Appuyez sur le bouton Arch Axis.svg Outils pour les axes ou appuyez sur les touches A puis X.
  2. Draft Déplacer/Draft Rotation positionne le système d'axes dans la position souhaitée.
  3. Passez en mode édition en double-cliquant sur le système d'axes dans l'arborescence pour ajuster ses paramètres tels que le nombre d'axes, les distances et les angles entre les axes.

Options

  • Chaque axe de la série a sa propre distance et son propre angle par rapport à l'axe précédent. Cela permet de faire des systèmes très complexes tels que des systèmes non orthogonaux, des systèmes polaires ou tout type de système non uniforme.
  • Double-cliquer sur l'axe dans l'arborescence permet d'éditer les distances, les angles et les étiquettes de chaque axe.
  • La longueur des axes, la taille des bulles et les styles de numérotation sont personnalisables directement via les propriétés du système d'axes.
  • Chaque axe peut également afficher une étiquette, modifiable via la boîte de dialogue du panneau des tâches.

Propriétés

  • DonnéesLength : La longueur des axes.
  • DonnéesLimit: Si supérieure à zéro, chaque axe sera représenté par deux lignes de la longueur donnée au lieu d'une ligne continue. Introduit dans la version 0.20
  • VueBubble Size : La taille des bulles des axes.
  • VueNumeration style : Style de numérotation : 1,2,3, A,B,C, etc...
  • VueBubble Position : Position de la bulle sur l'axe: Point de départ, point de terminaison, les deux ou aucun.
  • VueFont Name : Police du numéro de la bulle et/ou les étiquettes
  • VueFont Size : La taille du texte de l'étiquette uniquement (le texte de la bulle est contrôlé par la taille de la bulle)
  • VueShow Labels : Active/désactive l'affichage du textes des étiquettes

Utilisation comme marque de section

En définissant la propriété Bubble Position à Arrow left/right ou Bar left/right, l'axe affichera une flèche ou une barre remplie à la place de la bulle, afin qu'elle puisse être utilisée comme marque de section. Introduit dans la version 0.20

Scripts

Voir aussi : API et Débuter avec les scripts.

L'outil Axes peut être utilisé dans une macro et à partir de la console Python en utilisant la fonction suivante :

Axes = makeAxis(num=5, size=1000, name="Axes")
  • Crée un objet Axes à partir du nombre donné (num) d'axes et de size, l'intervalle entre chaque axe.

Exemple :

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()


Arrow-left.svg Page précédente: Arch CompAxis.png Axes
Page suivante: Système d'axes Arch Axis System.svg Arrow-right.svg